# Interface VideoTextTrackDto

interface VideoTextTrackDto {
default?: boolean;
id?: string;
in_band_metadata_track_dispatch_type?: string;
kind?: string;
label?: string;
mime_type?: string;
sources?: {
src?: string;
}[];
src?: string;
srclang?: string;
}

#####
Index

### Properties

default?
id?
in_band_metadata_track_dispatch_type?
kind?
label?
mime_type?
sources?
src?
srclang?

## Properties

### `Optional` default

default?: boolean

whether this is the default track

### `Optional` id

id?: string

### `Optional` in_band_metadata_track_dispatch_type

in_band_metadata_track_dispatch_type?: string

If this field is present, it means that references for this text track are available in the associated video's manifest

### `Optional` kind

kind?: string

kind of text track

### `Optional` label

label?: string

label for the track

### `Optional` mime_type

mime_type?: string

mime_type for the track

### `Optional` sources

sources?: {
src?: string;
}[]

array of sources for .vtt files (note that in many cases there will be one source with a src value identical to the text_tracks.src value, but this array is included in case there are multiple protocols available, such as http and https)

#### Type declaration

- ##### `Optional` src?: string

### `Optional` src

src?: string

URL for the .vtt file

### `Optional` srclang

srclang?: string

2-letter language code, such as "en" or "ko"